GLSA-200711-33 : nss_ldap: Information disclosure

This script is Copyright (C) 2007-2014 Tenable Network Security, Inc.


Synopsis :

The remote Gentoo host is missing one or more security-related
patches.

Description :

The remote host is affected by the vulnerability described in GLSA-200711-33
(nss_ldap: Information disclosure)

Josh Burley reported that nss_ldap does not properly handle the LDAP
connections due to a race condition that can be triggered by
multi-threaded applications using nss_ldap, which might lead to
requested data being returned to a wrong process.

Impact :

Remote attackers could exploit this race condition by sending queries
to a vulnerable server using nss_ldap, possibly leading to theft of
user credentials or information disclosure (e.g. Dovecot returning
wrong mailbox contents).

Workaround :

There is no known workaround at this time.

See also :

http://www.gentoo.org/security/en/glsa/glsa-200711-33.xml

Solution :

All nss_ldap users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose '>=sys-auth/nss_ldap-258'

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N)

Family: Gentoo Local Security Checks

Nessus Plugin ID: 28322 (gentoo_GLSA-200711-33.nasl)

Bugtraq ID:

CVE ID: CVE-2007-5794